Subject: [pim] PIM-SM Assert Nit

From: "Nicholas, Jonathan" <[email-masked]>
Date: Wed, 19 Jan 2005 12:14:06 -0500

All,

I noticed in the Assert state processing that no action is taken if a router is an AssertWinner(S,G,I) and it recieves a message for (S,G) on I. 

It seems to me that the router should respond with an Assert (as is done in the NO_INFO state) to initiate an Assert renegotiation on I.  Otherwise, it is possible that two routers could believe they are both Assert Winners on a net and duplicate messages will flow until one of the routers' Assert Timers expires.

Jonathan Nicholas
Network Systems Engineer
ITT Aerospace/Communications Division

************************************
This e-mail and any files transmitted with it are proprietary and intended solely for the use of the individual or entity to whom they are addressed. If you have received this e-mail in error please notify the sender. Please note that any views or opinions presented in this e-mail are solely those of the author and do not necessarily represent those of ITT Industries, Inc. The recipient should check this e-mail and any attachments for the presence of viruses. ITT Industries accepts no liability for any damage caused by any virus transmitted by this e-mail.
************************************

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim